Skip to main content
GET
/
v1
/
entities
/
{id}
/
appearances
List entity appearances
curl --request GET \
  --url https://api.particle.pro/v1/entities/{id}/appearances \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "duration_seconds": 123,
      "explicit": true,
      "has_transcript": true,
      "id": "<string>",
      "title": "<string>",
      "audio_url": "<string>",
      "clip_count": 123,
      "description": "<string>",
      "entity_count": 123,
      "episode_number": 123,
      "image_url": "<string>",
      "language": "<string>",
      "podcast": {
        "id": "<string>",
        "title": "<string>",
        "image_url": "<string>",
        "slug": "<string>"
      },
      "published_at": "2023-11-07T05:31:56Z",
      "segment_count": 123,
      "speakers": [
        {
          "name": "<string>",
          "company": {
            "id": "<string>",
            "domain": "<string>",
            "ticker": "<string>"
          },
          "description": "<string>",
          "entity_id": "<string>",
          "entity_slug": "<string>",
          "person": {
            "id": "<string>",
            "company": "<string>",
            "image_url": "<string>",
            "title": "<string>"
          },
          "role": "<string>",
          "speaking_duration_seconds": 123
        }
      ],
      "topics": [
        {
          "id": "<string>",
          "name": "<string>",
          "slug": "<string>",
          "ancestry": "<string>",
          "ancestry_path": "<string>",
          "episode_count": 123
        }
      ],
      "url": "<string>"
    }
  ],
  "has_more": true,
  "cursor": "<string>"
}

Authorizations

X-API-Key
string
header
required

Pass your API key in the X-API-Key header (recommended).

Path Parameters

id
string
required

Entity slug (e.g., 'sam-altman') or ID

Query Parameters

limit
integer<int64>
default:25

Results per page

Required range: 1 <= x <= 100
cursor
string

Opaque pagination cursor from previous response

Response

OK

data
object[] | null
required

List of results

has_more
boolean
required

Whether more results exist

cursor
string

Pass to next request for more results